import { request } from 'umi';
import { getDataBaseUrl,getStoremanagement } from '@/global_data';

/** 获取店铺  */
export async function GetStoreInfoPageAsync() {
  return request(getStoremanagement()+'/api/shop/alllist', {
    method: 'GET'
  });
}
// export async function GetStoreInfoPageAsync(data) {
//   return request(`/storemanage/api/shop/page`, {
//     method: 'Post',
//     data: data,
//   });
// }


/** 查询  */
export async function Page(data) {
     return request(getStoremanagement()+`/api/StoreDesktopNumber/Page`, {
      method: 'POST',
      data: data,
    });
  }

  /** 新增  */
export async function Add(data) {
  return request(getStoremanagement()+`/api/StoreDesktopNumber/Add`, {
   method: 'POST',
   data: data,
 });
}
export async function Update(data) {
  return request(getStoremanagement()+`/api/StoreDesktopNumber/UpdateStoreDesktopNumber`, {
   method: 'put',
   data: data,
 });
}



/** 删除桌码  */
export async function DeleteDesktopNumber(data) {
  return request(getStoremanagement()+`​/api/StoreDesktopNumber/Delete`, {
    method: 'DELETE',
    data: data,
  });
}